<template>
  <ObModal
    ref="modal"
    size="medium"
    title="Отправить договор на подпись"
    :is-show-controls="true"
    ok-text="Отправить"
    data-qa="signContractDraft"
    @submit="$emit('on-submit')"
  >
    <p>Договор будет отправлен контрагенту {{ participant }} на подпись.</p>
    <p>Внести изменения в уже отправленный договор можете только вы. Для этого вам понадобится отозвать его. Это можно сделать на странице Титул в уже отправленном договоре.</p>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'

export default {
  name: 'SignContractDraftModal',
  props: {
    participant: {
      type: String,
      default: ''
    }
  },
  components: {
    ObModal
  },
  methods: {
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  }
}
</script>
